image: node:latest

before_script:
   - apt-get update -qy
   - apt-get install -y ruby-dev
   - gem install dpl

stages:
   - staging
   - production


staging:
   stage: staging
   image: ruby:latest
   script:
       - dpl --provider=heroku --app=$HEROKU_APP_STAGING --api-key=$HEROKU_API_KEY
   only:
       - staging


production:
   stage: production
   image: ruby:latest
   script:
       - dpl --provider=heroku --app=$HEROKU_APP_PRODUCTION --api-key=$HEROKU_API_KEY
   only:
       - main